#!/bin/bash

chmod +x sigtest

for t in *.tar
do
	echo -e "\n\nExtracting $t"
	tar xf $t
	
	for c in *.pem
	do
		chmod +r $c
		cert='-c'$c
	done
	
	echo "Using certificate $c"
	for l in *.log
	do	
		chmod +r $l	
		log='-l'$l
		./sigtest $cert $log >/dev/null 2>&1
		if [ $? -eq 0 ]; then
			echo -e "Checking $l: \e[32mOK\e[0m"
		else
			echo -e "Checking $l: \e[31mFAIL\e[0m"
		fi		
	done
	
	rm -f *.csv
	rm -f *.pem
	rm -f *.log
	
done
